Subject: git log alias with --all and --exclude

From: Rene Kita <[email-masked]>
Date: Wed, 4 Sep 2024 11:06:14 +0200

I have an alias
'gr = log --oneline --abbrev-commit --all --graph --decorate --color'
and I would like to be able to sometimes exclude a branch, so call it
with:
$ git gr --exclude=pattern

This does not work, though. Also does not work without the alias and
typing the complete command by hand. Apparently the --exclude must be
put before the --all to take effect.

May I ask to change that behavior and allow to put the --exclude at the
end of the alias?

Rene